Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Options Class Reference

Manages the options for the ACE Name_Server. More...

`#include <Naming_Context.h>`

List of all members.

## Public Methods
| ACE_Name_Options (void)
| ~ACE_Name_Options (void)
void | parse_args (int argc, ACE_TCHAR *argv[])
| Parse arguments. More...
void | nameserver_port (int port)
| Set the port number. More...
int | nameserver_port (void)
| Get the port number. More...
ACE_Naming_Context::Context_Scope_Type | context (void)
| Get the context. More...
void | context (ACE_Naming_Context::Context_Scope_Type)
| Set the context. More...
void | nameserver_host (const ACE_TCHAR *host)
| Set the host name. More...
const ACE_TCHAR * | nameserver_host (void)
| Get the host name. More...
void | namespace_dir (const ACE_TCHAR *dir)
| Set name space directory. More...
const ACE_TCHAR * | namespace_dir (void)
| Get name space directory. More...
void | process_name (const ACE_TCHAR *dir)
| Set process name. More...
const ACE_TCHAR * | process_name (void)
| Get process name. More...
void | database (const ACE_TCHAR *)
| Set database name. More...
const ACE_TCHAR * | database (void)
| Get database name. More...
void | base_address (char *address)
| Set base address of the underlying allocator. More...
char * | base_address (void)
| Get base address of the underlying allocator. More...
int | use_registry (void)
| Get use of registry in naming. More...
void | use_registry (int)
| Set use of registry in naming. More...
int | debug (void)
| Return debug status. More...
int | verbose (void)
| Return verbose status. More...
## Private Attributes
int | debugging_
| Extra debugging info. More...
int | verbosity_
| Extra verbose messages. More...
int | use_registry_
| Use Win32 Registry. More...
int | nameserver_port_
| Port to connect to nameserver process. More...
const ACE_TCHAR * | nameserver_host_
| Hostname of nameserver. More...
ACE_TCHAR * | namespace_dir_
| Directory to hold name_bindings. More...
const ACE_TCHAR * | process_name_
| Name of this process. More...
const ACE_TCHAR * | database_
| Name of the database that stores the name/value/type bindings. More...
char * | base_address_
| Base address of the underlying allocator. More...
ACE_Naming_Context::Context_Scope_Type | context_
| The context in which the naming database will be created. More...

## Detailed Description

Manages the options for the ACE Name_Server.

## Constructor & Destructor Documentation

ACE_Name_Options::ACE_Name_Options | ( | void |  | ) |

ACE_Name_Options::~ACE_Name_Options | ( | void |  | ) |

## Member Function Documentation

char * ACE_Name_Options::base_address | ( | void |  | ) |

| Get base address of the underlying allocator.

void ACE_Name_Options::base_address | ( | char * | base_address | ) |

| Set base address of the underlying allocator.

void ACE_Name_Options::context | ( | ACE_Naming_Context::Context_Scope_Type | context | ) |

| Set the context.

ACE_Naming_Context::Context_Scope_Type ACE_Name_Options::context | ( | void |  | ) |

| Get the context.

const ACE_TCHAR * ACE_Name_Options::database | ( | void |  | ) |

| Get database name.

void ACE_Name_Options::database | ( | const ACE_TCHAR * | db | ) |

| Set database name.

int ACE_Name_Options::debug | ( | void |  | ) |

| Return debug status.

const ACE_TCHAR * ACE_Name_Options::nameserver_host | ( | void |  | ) |

| Get the host name.

void ACE_Name_Options::nameserver_host | ( | const ACE_TCHAR * | host | ) |

| Set the host name.

int ACE_Name_Options::nameserver_port | ( | void |  | ) |

| Get the port number.

void ACE_Name_Options::nameserver_port | ( | int | port | ) |

| Set the port number.

const ACE_TCHAR * ACE_Name_Options::namespace_dir | ( | void |  | ) |

| Get name space directory.

void ACE_Name_Options::namespace_dir | ( | const ACE_TCHAR * | dir | ) |

| Set name space directory.

void ACE_Name_Options::parse_args | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) |

| Parse arguments.

const ACE_TCHAR * ACE_Name_Options::process_name | ( | void |  | ) |

| Get process name.

void ACE_Name_Options::process_name | ( | const ACE_TCHAR * | pname | ) |

| Set process name.

void ACE_Name_Options::use_registry | ( | int | x | ) |

| Set use of registry in naming.

int ACE_Name_Options::use_registry | ( | void |  | ) |

| Get use of registry in naming.

int ACE_Name_Options::verbose | ( | void |  | ) |

| Return verbose status.

## Member Data Documentation

char* ACE_Name_Options::base_address_`[private]`

| Base address of the underlying allocator.

ACE_Naming_Context::Context_Scope_Type ACE_Name_Options::context_`[private]`

| The context in which the naming database will be created.

const ACE_TCHAR* ACE_Name_Options::database_`[private]`

| Name of the database that stores the name/value/type bindings.

int ACE_Name_Options::debugging_`[private]`

| Extra debugging info.

const ACE_TCHAR* ACE_Name_Options::nameserver_host_`[private]`

| Hostname of nameserver.

int ACE_Name_Options::nameserver_port_`[private]`

| Port to connect to nameserver process.

ACE_TCHAR* ACE_Name_Options::namespace_dir_`[private]`

| Directory to hold name_bindings.

const ACE_TCHAR* ACE_Name_Options::process_name_`[private]`

| Name of this process.

int ACE_Name_Options::use_registry_`[private]`

| Use Win32 Registry.

int ACE_Name_Options::verbosity_`[private]`

| Extra verbose messages.

The documentation for this class was generated from the following files:

- Naming_Context.h
- Naming_Context.cpp